
import { Codicon } from '../../../../base/common/codicons.js';
import { localize } from '../../../../nls.js';
import { registerIcon } from '../../../../platform/theme/common/iconRegistry.js';

const selectKernelIcon = registerIcon("notebook-kernel-select", Codicon.serverEnvironment, ( localize(11323, "Configure icon to select a kernel in notebook editors.")));
const executeIcon = registerIcon("notebook-execute", Codicon.play, ( localize(11324, "Icon to execute in notebook editors.")));
const executeAboveIcon = registerIcon("notebook-execute-above", Codicon.runAbove, ( localize(11325, "Icon to execute above cells in notebook editors.")));
const executeBelowIcon = registerIcon("notebook-execute-below", Codicon.runBelow, ( localize(11326, "Icon to execute below cells in notebook editors.")));
const stopIcon = registerIcon("notebook-stop", Codicon.primitiveSquare, ( localize(11327, "Icon to stop an execution in notebook editors.")));
const deleteCellIcon = registerIcon("notebook-delete-cell", Codicon.trash, ( localize(11328, "Icon to delete a cell in notebook editors.")));
const executeAllIcon = registerIcon("notebook-execute-all", Codicon.runAll, ( localize(11329, "Icon to execute all cells in notebook editors.")));
const editIcon = registerIcon("notebook-edit", Codicon.pencil, ( localize(11330, "Icon to edit a cell in notebook editors.")));
const stopEditIcon = registerIcon("notebook-stop-edit", Codicon.check, ( localize(11331, "Icon to stop editing a cell in notebook editors.")));
const moveUpIcon = registerIcon("notebook-move-up", Codicon.arrowUp, ( localize(11332, "Icon to move up a cell in notebook editors.")));
const moveDownIcon = registerIcon("notebook-move-down", Codicon.arrowDown, ( localize(11333, "Icon to move down a cell in notebook editors.")));
const clearIcon = registerIcon("notebook-clear", Codicon.clearAll, ( localize(11334, "Icon to clear cell outputs in notebook editors.")));
const splitCellIcon = registerIcon("notebook-split-cell", Codicon.splitVertical, ( localize(11335, "Icon to split a cell in notebook editors.")));
const successStateIcon = registerIcon("notebook-state-success", Codicon.check, ( localize(11336, "Icon to indicate a success state in notebook editors.")));
const errorStateIcon = registerIcon("notebook-state-error", Codicon.error, ( localize(11337, "Icon to indicate an error state in notebook editors.")));
const pendingStateIcon = registerIcon("notebook-state-pending", Codicon.clock, ( localize(11338, "Icon to indicate a pending state in notebook editors.")));
const executingStateIcon = registerIcon("notebook-state-executing", Codicon.sync, ( localize(11339, "Icon to indicate an executing state in notebook editors.")));
const collapsedIcon = registerIcon("notebook-collapsed", Codicon.chevronRight, ( localize(11340, "Icon to annotate a collapsed section in notebook editors.")));
const expandedIcon = registerIcon("notebook-expanded", Codicon.chevronDown, ( localize(11341, "Icon to annotate an expanded section in notebook editors.")));
const openAsTextIcon = registerIcon("notebook-open-as-text", Codicon.fileCode, ( localize(11342, "Icon to open the notebook in a text editor.")));
const revertIcon = registerIcon("notebook-revert", Codicon.discard, ( localize(11343, "Icon to revert in notebook editors.")));
const toggleWhitespace = registerIcon("notebook-diff-cell-toggle-whitespace", Codicon.whitespace, ( localize(11344, "Icon for the toggle whitespace action in the diff editor.")));
const renderOutputIcon = registerIcon("notebook-render-output", Codicon.preview, ( localize(11345, "Icon to render output in diff editor.")));
const mimetypeIcon = registerIcon("notebook-mimetype", Codicon.code, ( localize(11346, "Icon for a mime type in notebook editors.")));
const copyIcon = registerIcon("notebook-copy", Codicon.copy, ( localize(11347, "Icon to copy content to clipboard")));
const saveIcon = registerIcon("notebook-save", Codicon.save, ( localize(11348, "Icon to save content to disk")));
const previousChangeIcon = registerIcon("notebook-diff-editor-previous-change", Codicon.arrowUp, ( localize(11349, "Icon for the previous change action in the diff editor.")));
const nextChangeIcon = registerIcon("notebook-diff-editor-next-change", Codicon.arrowDown, ( localize(11350, "Icon for the next change action in the diff editor.")));
const variablesViewIcon = registerIcon("variables-view-icon", Codicon.variableGroup, ( localize(11351, "View icon of the variables view.")));

export { clearIcon, collapsedIcon, copyIcon, deleteCellIcon, editIcon, errorStateIcon, executeAboveIcon, executeAllIcon, executeBelowIcon, executeIcon, executingStateIcon, expandedIcon, mimetypeIcon, moveDownIcon, moveUpIcon, nextChangeIcon, openAsTextIcon, pendingStateIcon, previousChangeIcon, renderOutputIcon, revertIcon, saveIcon, selectKernelIcon, splitCellIcon, stopEditIcon, stopIcon, successStateIcon, toggleWhitespace, variablesViewIcon };
